#include <iostream>
using namespace std;



int main() {
	int array[1000];
	int n, k;
	cin >> n >> k;
	int counter1 = 0;
	int counter0 = 0;
	int counter_1 = 0;
	for (int i = 0; i < n; i++)cin >> array[i];
	for (int i = 0; i < n; i++) {
		if (array[i] == 1)counter1++;
		else if (array[i] == 0)counter0++;
		else if (array[i] == -1)counter_1++;
	}
	int count = 0;
	if (counter1 >= k)count++;
	if (counter0 >= k)count++;
	if (counter_1 >= k)count++;
	cout << count<<endl;
	if (counter1 >= k)cout << "1 ";
	if (counter0 >= k)cout << "0 ";
	if (counter_1 >= k)cout << "-1 ";

	
}